<?php
/*****************************
* Copyright 2021 1st Source IT, LLC
* All rights reserved.
* Permission granted for use as
* long as this copyright notice, associated text and
* links remain in tact.
* Licensed for a single domain and a single instance of EZ-cart.
* Additional licenses can be purchased for additonal sites.
*
* http://www.ez-ms.com
* http://www.ez-om.com
* http://www.1sit.com*
*
* End copyright notification
*/

if ( !defined('BOOTSTRAP') ) { die('Access denied'); }
$lang_vars = 	array(
					"auto_mail" => "Auto-Mailer",
					"am_manage_events" 		=>	"Manage Events",
					"am_manage_auto_mail"	=>	"Manage Auto Mail",
					"am_edit_event"			=>	"Edit Event",
					"am_new_event"			=>	"New Event",
					"am_order_actions"		=>	"Order Actions",
					"am_profile_actions"	=>	"Profile Actions",
					"am_form_actions"		=>	"Form Actions",
					"am_cart_actions"		=>	"Cart Actions",
					"am_abandoned_cart_actions" => "Abandonded Cart Actions",
					"am_email_cc"			=> 	"Email CC",
					"am_new_order_action"	=>	"New order action",
					"am_new_profile_action"	=>	"New profile action",
					"am_new_cart_action" 	=>	"New cart action",
					"am_back_to"			=>	"Back to",
					"am_show_sent_mail"		=>	"Show sent mail",
					"am_show_pending_mail"	=>	"Show pending mail",
					"am_show_failed_mail"	=>	"Show failed mail",
					"am_event_name"			=>	"Event name",
					"am_action_type"		=>	"Action type",
					"am_send_date"			=>	"Send date",
					"am_sent_date"			=>	"Sent date",
					"am_run_queue"			=>	"Run queue",
					"am_event_options"		=>	"Event options",
					"am_event_option_days_x_quantity" => "Days X quantity purchased",
					"am_event_option_age"	=>	"Cart age (4hr, 2days, etc.)",
					"am_stop_other_actions"	=>	"Stop other actions",
					"am_process_on_status"	=>	"Process on order status",
					// Log vars
					"am_logs"				=> 	"Auto-Mail Logs",
					"truncate_log_to" 		=> "Truncate log to",
					"log_entries" 			=> "log entries",
					"clear_log" 			=> "Clear log",
					"current_log" 			=> "Current log",
					"am_current_log_entries" => "Current log entries",
					"log_debug_level"		=> "Log debug level",
					'privileges.manage_auto_mail'		=> "Manage Auto Mail",
					"am_submit_review"		=> "Submit review",
					"am_rating"				=> "Rating",
					"am_star_rating"		=> "Star rating",
					"am_star"				=> "Star",
					"am_select_rating"		=> "Select rating",
					"am_poor"				=> "Poor",
					"am_fair"				=> "Fair",
					"am_good"				=> "Good",
					"am_very_good"			=> "Very good",
					"am_excellent"			=> "Excellent",
					"am_mail_reviews" 		=> "Mail reviews",
					"am_review_not_available" => "Sorry, mail reviews are not available at this time or your email client does not support posting of form data",
					"am_thank_you"			=> "Thank you",
					"am_greetings"			=> "Greetings",
					"am_reviews_not_enabled" => "Reviews are not enabled for product '[%product%]'",
					"am_testimonial_reviews_not_enabled" => "Testimonial reviews are not enabled.",
					"am_for_reviewing"		=> "Thanks for reviewing our products",
					"am_or_post_onsite"		=> "Or post review on our site by clicking here",
					"am_user_types"			=> "User types",
					"am_administrator"		=> "Admin",
					"am_customer"			=> "Customer",
					"am_vendor"				=> "Vendor",
					"am_all"				=> "All",
					"am_form_submission"	=> "Form submission",
					"am_site_testimonial"	=> "Site Testimonial",
					"am_site_testimonial_text" => "Please rate our site and your experience purchasing our products.  Please include your experience with any customer service you may have received.",
					"am_product_reviews"	=> "Purchased product reviews",
					"am_product_reviews_text" => "Please review the products you purchased.",
					"am_submit_reviews"		=> "Submit reviews",
					"am_rating_message"		=> "Message",
					"am_must_login"			=> "You must login before entering reviews",
					"am_reviews_and_offers"	=> "Get special offers from posting reviews",
					"am_unsubscribed"		=> "Your email address has been unsubscribed",
					"am_welcome_back"		=> "Welcome back!",
					"am_sorry_to_go"		=> "Sorry to see you go!",
					"am_re_subscribe"		=> "Resubscribe to mailing list",
					"am_un_subscribe"		=> "Unsubscribe from mailing list",
					"am_stay_subscribed"	=> "Click <strong>Leave</strong> to stay subscribed.",
					"am_leave"				=> "Leave",
					"am_current_status"		=> "Your current subscription status is '<strong>[STATUS]</strong>'.",
					"am_status_subscribed" 	=> "Subscribed",
					"am_status_unsubscribed" => "Un-subscribed",
					"am_products_to_review"	=> "Products you can review",
					"am_preview_templates"	=> "Preview templates",
					"am_no_queued_event"	=> "No queued items for event type '[TYPE]'",
					"am_cart_age"			=> "Cart age",
					"am_cart_sent_count"	=> "Sent [COUNT] abanndoned cart emails",
					"am_failed_mail"		=> "Email could not be sent.  Setting queue status to Failed",
					"am_show_unsubscribed"	=> "Show Unsubscribed",
					"am_noone_unsubscribed"	=> "No one is unsubscribed!",
					"am_event_queued"		=> "Event '[EVENT]' has been queued",
					"am_cron_command_line"		=> "Cron command line"
				 );
?>