<?php
if( !defined('AREA') ) die('Access denied');

$evts = array( array(
					 	'am_event_status'	=>	'A',
						'am_event_type' 	=>	ORDER_EVENT,
						'am_action_id'		=>	1,
						'am_priority'		=>	10,
						'am_days'			=>	3,
						'am_template'		=>	'order_order_placed.tpl',
						'am_cc'				=>	'',
						'am_event_name'		=>	'When order is placed',
						'am_event_options'	=>	array('stop_other_actions' => 'Y'),
						'am_action_data'	=>	''
						),
			  array(
					 	'am_event_status'	=>	'A',
					 	'am_event_type' 	=>	ORDER_EVENT,
						'am_action_id'		=>	2,
						'am_priority'		=>	20,
						'am_days'			=>	3,
						'am_template'		=>	'order_order_placed.tpl',
						'am_cc'				=>	'',
						'am_event_name'		=>	'When products are purchased',
						'am_event_options'	=>	array('stop_other_actions' => 'Y', 'days_x_quantity' => 'N'),
						'am_action_data'	=>	array('B0001K9MV2', 'B0007OAZ04')
						),
			  array(
					 	'am_event_status'	=>	'A',
					 	'am_event_type' 	=>	ORDER_EVENT,
						'am_action_id'		=>	3,
						'am_priority'		=>	30,
						'am_days'			=>	3,
						'am_template'		=>	'order_order_placed.tpl',
						'am_cc'				=>	'',
						'am_event_name'		=>	'When payment type is used',
						'am_event_options'	=>	array('stop_other_actions' => 'Y'),
						'am_action_data'	=>	1
						),
			  array(
					 	'am_event_status'	=>	'A',
					 	'am_event_type' 	=>	ORDER_EVENT,
						'am_action_id'		=>	4,
						'am_priority'		=>	40,
						'am_days'			=>	3,
						'am_template'		=>	'order_order_placed.tpl',
						'am_cc'				=>	'',
						'am_event_name'		=>	'When order amount exceeds value',
						'am_event_options'	=>	array('stop_other_actions' => 'Y'),
						'am_action_data'	=>	1000
						),
			  array(
					 	'am_event_status'	=>	'A',
					 	'am_event_type' 	=>	PROFILE_EVENT,
						'am_action_id'		=>	5,
						'am_priority'		=>	10,
						'am_days'			=>	3,
						'am_template'		=>	'profile_welcome.tpl',
						'am_cc'				=>	'',
						'am_event_name'		=>	'When new user registers',
						'am_event_options'	=>	array('stop_other_actions' => 'Y'),
						'am_action_data'	=>	''
						)/*,
			  array(
					 	'am_event_status'	=>	'A',
					 	'am_event_type' 	=>	CART_EVENT,
						'am_action_id'		=>	6,
						'am_priority'		=>	10,
						'am_days'			=>	3,
						'am_template'		=>	'',
						'am_cc'				=>	'',
						'am_event_name'		=>	'When abandoned carts have contact info',
						'am_action_data'	=>	''
						)*/
			 );
				
foreach($evts as $evt) {
	$event_id = db_get_field("SELECT am_event_id FROM ?:auto_mail_events
						WHERE am_event_type=?s AND am_action_id=?i",
						$evt['am_event_type'], $evt['am_action_id']);
	am_update_event($event_id, $evt);
}
?>