{*****************************
* Copyright 2011, 2012, 2013 1st Source IT, LLC
* All rights reserved.
* Permission granted for use as
* long as this copyright notice, associated text and
* links remain in tact.
* Licensed for a single domain and a single instance of EZ-cart.
* Additional licenses can be purchased for additonal sites.
*
* http://www.ez-ms.com
* http://www.ez-om.com
* http://www.1sit.com*
*
* End copyright notification
*}

<script type="text/javascript">
var actions = new Object();
{foreach from="A"|am_get_actions key="e_type" item="actions"}
	if( typeof(actions['{$e_type}']) == 'undefined' )
		actions['{$e_type}'] = new Object();
	{foreach from=$actions item="action"}
		actions['{$e_type}'][{$action.am_action_id}] = new Object( {ldelim}
																		am_action_id: {$action.am_action_id},
																		am_action_type: '{$action.am_action_type}',
																		am_event_type: '{$action.am_event_type}',
																		am_status: '{$action.am_status}'
																	{rdelim} );
	{/foreach}
{/foreach}

function am_get_selected_value(id) {ldelim}
	var tag = document.getElementById(id);
	return tag ? tag.value : '';
{rdelim}

function am_action_type(event_type) {ldelim}
	var id = am_get_selected_value('am_action_id');
	if( typeof(actions[event_type]) == 'undefined' || typeof(actions[event_type][id]) == 'undefined' )
		return '{$smarty.const.ORDER_EVENT_PLACED}';
	return actions[event_type][id].am_action_type;
{rdelim}

var id_open = '';

function show_type(id) {ldelim}
	for(x in actions) {ldelim}
		if( typeof(actions[x][id]) != 'undefined' )
			return show_id(actions[x][id].am_action_type);
	{rdelim}
{rdelim}
function show_id(type) {ldelim}
	var tag = document.getElementById('action_data_'+type);
	if( tag ) {ldelim}
		if( id_open )
			hide_id(id_open);
		tag.style.display='block';
		id_open = type;
	{rdelim}
{rdelim}
function hide_id(type) {ldelim}
	var tag = document.getElementById('action_data_'+type);
	if( tag ) {ldelim}
		tag.style.display='none';
		if( id_open == type )
			id_open = '';
	{rdelim}
{rdelim}
</script>

{capture name="mainbox"}
	<form name="frm_auto_mail_manage" class="form-horizontal" method="post" id="frm_auto_mail_manage">
	
<!--		<fieldset> -->
			<div class="control-group">
				<label for="am_priority" class="control-label">{__("priority")}:</label>
					<input type="text" class="input-micro" name="event[am_priority]" id="am_priority" value="{$event.am_priority|default:0}" />
			</div>
			<div class="control-group">
				<label for="am_event_status" class="control-label">{__("status")}:</label>
					<select name="event[am_event_status]" id="am_event_status">
						<option value="A" {if $event.am_event_status == "" || $event.am_event_status == "A"}selected="selected"{/if}>{__("active")}</option>
						<option value="D" {if $event.am_event_status == "D"}selected="selected"{/if}>{__("disabled")}</option>
					</select>
			</div>
				
			<input type="hidden" name="event[am_event_type]" value="{$event_type}"  />
			<input type="hidden" name="event[am_event_id]" value="{$event.am_event_id|default:0}" />
			<input type="hidden" name="event[am_action_type]" value="{$event.am_action_type}" />
			
			<div class="control-group">
				<label for="am_event_name" class="control-label">{__("name")}:</label>
					<input type="text" class="input-large" id="am_event_name" name="event[am_event_name]" value="{$event.am_event_name}" />
			</div>
			
			<div class="control-group">
				<label for="am_action_id" class="control-label">{__("action")}:</label>
					<select name="event[am_action_id]" id="am_action_id" onchange="show_type(this.value);return false;" >
						{foreach from=$action_menu key="action_id" item="action_name"}
							<option value="{$action_id}" {if $action_id == $event.am_action_id}selected="selected"{/if} >{$action_name}</option>
						{/foreach}
					</select>
			</div>
			<div class="control-group">
				{assign var="default_days" value="3"}
				{if $event_type == $smarty.const.CART_EVENT}
					{$default_days = "0"}
				{/if}
				<label for="am_days" class="control-label">{__("days")}:</label>
					<input type="text" class="input-micro" name="event[am_days]" id="am_days" value="{$event.am_days|default:$default_days}" />
			</div>
				 
			<div class="control-group">
				<label for="am_template" class="control-label">{__("template")}:</label>
					<select id="am_template" name="event[am_template]">
						{foreach from=$template_menu key="template_name" item="template_description"}
							<option value="{$template_name}" {if $template_name == $event.am_template}selected="selected"{/if} >{$template_description}</option>
						{/foreach}
					</select>
			</div>
			<div class="control-group">
				<label for="am_cc" class="control-label">{__("am_email_cc")}:</label>
					<input type="text" class="input-text-medium" name="event[am_cc]" id="am_cc" value="{$event.am_cc}" />
			</div>
			
			
			{include file="common/subheader.tpl" title=__("am_event_options")}
			
			{if $event_type == $smarty.const.ORDER_EVENT}
				{assign var="status" value=$addons.auto_mail.am_status}
				{if $event.am_event_options.order_status}
					{assign var="status" value=$event.am_event_options.order_status}
				{/if}
					
				<div class="control-group">
					<label for="am_event_order_status" class="control-label">{__("am_process_on_status")}:</label>
						<select name="event[am_event_options][order_status]" id="am_event_order_status">
							{foreach from=$order_status_menu key="key" item="name"}
								<option value="{$key}" {if $key == $status}selected="selected"{/if} >{$name}</option>
							{/foreach}
						</select>
				</div>	
			{/if}
			
			{** Profile qualification by user type **}

			{if $event_type == $smarty.const.PROFILE_EVENT}
				<div class="control-group">
					<label for="am_event_user_types" class="control-label">{__("am_user_types")}: </label>
					<div id="am_event_user_types">
					{assign var="type_all" value=$smarty.const.AM_USER_TYPE_ALL}
					<input type="checkbox" name="event[am_event_options][user_types][]"
							value="{$type_all}"
							{if !$event.am_event_options.user_types || $type_all|in_array:$event.am_event_options.user_types}
								checked="checked"
							{/if}
					/>&nbsp;{__("am_all")}&nbsp;&nbsp;
					<input type="checkbox" name="event[am_event_options][user_types][]"
							value="A"
							{if  "A"|in_array:$event.am_event_options.user_types}
								checked="checked"
							{/if}
					/>&nbsp;{__("am_administrator")}<br/>
					<input type="checkbox" name="event[am_event_options][user_types][]"
							value="C"
							{if  "C"|in_array:$event.am_event_options.user_types}
								checked="checked"
							{/if}
					/>&nbsp;{__("am_customer")}&nbsp;&nbsp;
					{if "MULTIVENDOR"|fn_allowed_for }
					<input type="checkbox" name="event[am_event_options][user_types][]"
							value="V"
							{if  "V"|in_array:$event.am_event_options.user_types}
								checked="checked"
							{/if}
					/>&nbsp;{__("am_vendor")}
					{/if}
					
					</div>
				</div>
			{/if}
			{** End add of profile qualification **}
			
			{** form extension **}
			{if $event_type == $smarty.const.FORM_EVENT}
				<div class="control-group">
					<label for="am_event_form" class="control-label">{__("form")}: </label>
					<div id="am_event_user_types">
					{** 4/7/16: Changed name to event[am_action_data][F] **}
						<select name="event[am_action_data][F]">
							{foreach from=true|am_forms_menu key="page_id" item="form_name"}
								<option value="{$page_id}" {if $event.am_action_data == $page_id}selected="selected"{/if}>{$form_name}</option>
							{/foreach}
						</select>
					</div>
				</div>
			{/if}
			{** End form submission **}
			
			{** abandoned cart extension **}
			{if $event_type == $smarty.const.CART_EVENT}
				<div class="control-group">
					<label for="am_age" class="control-label">{__("am_event_option_age")}:</label>
						<input type="text" class="input-mini" name="event[am_event_options][abandon_age]" id="am_age" value="{$event.am_event_options.abandon_age|default:"4hr"}" />
				</div>
				 
			{/if}
			{** end abandoned cart extension **}
			
			<div class="control-group">
				<label for="am_event_stop_other_actions" class="control-label">{__("am_stop_other_actions")}:</label>
					<input type="hidden" name="event[am_event_options][stop_other_actions]" value="N" />
					<input type="checkbox" id="am_event_stop_other_actions" name="event[am_event_options][stop_other_actions]" value="Y" 
								{if !$event.am_event_options.stop_other_actions || $event.am_event_options.stop_other_actions == "Y"}checked="checked"{/if} />
			</div>	
					
			<div id="action_data_R" class="hidden">
				<div class="control-group">
					<label for="am_event_option_days_x_quantity" class="control-label">{__("am_event_option_days_x_quantity")}:</label>
						<input type="hidden" name="event[am_event_options][days_x_quantity]" value="N" />
						<input type="checkbox" id="am_event_option_days_x_quantity" name="event[am_event_options][days_x_quantity]" value="Y" 
									{if $event.am_event_options.days_x_quantity == "Y"}checked="checked"{/if} />
				</div>	
				<div class="control-group">
					<label for="am_action_data_R" class="control-label">{__("product_code")}s:</label>
						<input type="text" class="input-text-long"  id="am_action_data_R" name="event[am_action_data][R]" value="{$event.am_action_data}" />
				</div>				
			</div>
			<div id="action_data_T" class="hidden">
				<label for="am_action_data_T" class="control-label">{__("payment_method")}:</label>
					<select name="event[am_action_data][T]">
						{foreach from=$payment_info key="payment_id" item="p_info"}
							<option value="{$payment_id}" {if $event.am_action_data == $payment_id}selected="selected"{/if} >{$p_info.payment}</option>
						{/foreach}
					</select>
			</div>
			<div id="action_data_A" class="control-group hidden">
				<label for="am_action_data_A" class="control-label">{__("amount")}:</label>
					<input type="text" class="input-text-medium"  id="am_action_data_A" name="event[am_action_data][A]" value="{if $event.am_action_data|is_numeric}{$event.am_action_data}{else}0.00{/if}" />
			</div>
			<div id="action_data_P" class="control-group hidden">
				<input type="hidden" name="event[am_action_data][P]" value="" />
			</div>
			<div id="action_data_U" class="control-group hidden">
				<input type="hidden" name="event[am_action_data][U]" value="" />
			</div>
			<div id="action_data_C" class="hidden">
				<input type="hidden" name="event[am_action_data][C]" value="" />
			</div>
			<script type="text/javascript">
				$(document).ready( function () {ldelim}
					cur_type = am_action_type('{$event.am_event_type|default:"O"}');
					show_id(cur_type);
				{rdelim});
			</script>
<!--		</fieldset> -->

		<br/>
		<div>
			{include file="buttons/button.tpl" 
				but_text=__("save")
				but_role="submit" 
				but_name="dispatch[auto_mail.manage]" 
			}
		</div>
	</form>
{/capture}

{if $event_id}
	{assign var="title" value=__("am_edit_event")}
{else}
	{assign var="title" value=__("am_new_event")}
{/if}

{capture name="extra_tools"}
	<a href="{$index_script}?dispatch=auto_mail.manage">{__("am_back_to")} {__("am_manage_auto_mail")}</a>
{/capture}

{include file="common/mainbox.tpl" 
	title=$title 
	content=$smarty.capture.mainbox 
	extra_tools=$smarty.capture.extra_tools
}
