{*****************************
* Copyright 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 1st Source IT, LLC
* All rights reserved.
* Permission granted for use as
* long as this copyright notice, associated text and
* links remain in tact.
* Licensed for a single domain and a single instance of cs-cart.
* Additional licenses can be purchased for additonal sites.
*
* http://www.ez-ms.com
* http://www.ez-om.com
* http://www.1sit.com
*
* End copyright notification
*}


{capture name="mainbox"}
	{script src="js/picker.js"}
	{assign var="c_url" value=$config.current_url|fn_query_remove:"sort_by":"sort_order"}
	{if $settings.DHTML.admin_ajax_based_pagination == "Y"}
			{assign var="ajax_class" value="cm-ajax"}
	{/if}
	{** 7/19/16: added **}
	{assign var="active_company" value=""|am_company_id}
	
	{assign var="cols" value="6"}

	<form name="frm_auto_mail_manage" method="post" id="frm_auto_mail_manage">
	{include file="common/pagination.tpl"}
	<table class="table{* sortable*}"  width="100%" cellpadding="5" cellspacing="0" border="0">
		{foreach from=$am_events item="events" key="event_type"}
			<tr><th colspan="{$cols}" class="left">
				{if $event_type == "P" }		{__("am_profile_actions")}
				{elseif $event_type == "C"}		{__("am_abandoned_cart_actions")}
				{elseif $event_type == "F"}		{__("am_form_submission")}
				{else}							{__("am_order_actions")}
				{/if}
			</th></tr>
			
			<tr>
				<th class="center">{__("priority")}</th>
				<th class="center">{__("status")}</th>
				<th class="center">{__("name")}</th>
				<th class="center">{__("template")}</th>
				<th class="center">{__("am_email_cc")}</th>
				<th class="center">{__("actions")}</th>
			</tr>
			
			{foreach from=$events key="event_id" item="event"}
				{** 7/19/16: Aded to display only if company_id's match **}
				{assign var="disabled" value=$active_company != $event.company_id}
				<tr>
					<td class="center">
						<input type="text" class="input-micro" name="am_events[{$event_type}][{$event_id}][am_priority]" value="{$event.am_priority|default:0}" {if $disabled}disabled="disabled"{/if} />
					</td>
					<td class="center">
						<select name="am_events[{$event_type}][{$event_id}][am_event_status]" class="input-small" {if $disabled}disabled="disabled"{/if}>
							<option value="">--{__("status")}--</option>
							<option value="A" {if $event.am_event_status == "A"}selected="selected"{/if}>{__("active")}</option>
							<option value="D" {if $event.am_event_status == "D"}selected="selected"{/if}>{__("disabled")}</option>
						</select>
					</td>
					<td class="left">
						<input type="text" class="input-medium" name="am_events[{$event_type}][{$event_id}][am_event_name]" value="{$event.am_event_name}" {if $disabled}disabled="disabled"{/if} />
					</td>
					<td class="center">
						<select name="am_events[{$event_type}][{$event_id}][am_template]" {if $disabled}disabled="disabled"{/if}>
							<option value="">--{__("template")}--</option>
							{foreach from=$event_type|am_template_menu:$smarty.const.DESCR_SL key="template_name" item="template_desc"}
								<option value="{$template_name}" {if $event.am_template == $template_name}selected="selected"{/if} >{$template_desc}</option>
							{/foreach}
						</select>
					</td>
					<td class="center">
						<input type="text" class="input-medium" name="am_events[{$event_type}][{$event_id}][am_cc]" value="{$event.am_cc}" {if $disabled}disabled="disabled"{/if} />
					</td>
					{if $disabled }
						<td>&nbsp;</td>
					{else}
						<td class="center">
							<a href="{$index_script}?dispatch=auto_mail.edit_event.{$event_id}">{__("edit")}</a>
							&nbsp;/&nbsp;
							<a href="{$index_script}?dispatch=auto_mail.delete_event.{$event_id}">{__("delete")}</a>
						</td>
					{/if}
				</tr>
			{/foreach}
			<tr>
				<td colspan="5">&nbsp;</td>
				<td class="right">
					{if $event_type == "P"}			{assign var="but_text" value=__("am_new_profile_action")}
					{elseif $event_type == "C"}		{assign var="but_text" value=__("am_new_cart_action")}
					{elseif $event_type == "F"}		{assign var="but_text" value="New form action"}
					{else}							{assign var="but_text" value=__("am_new_order_action")}
					{/if}
					{include file="buttons/button.tpl"
						but_text=$but_text
						but_role="text"
						but_href="$index_script?dispatch=auto_mail.edit_event.0.$event_type"
					}
				</td>
			</tr>
		{/foreach}
			
	</table>
	{include file="common/pagination.tpl"}
	<br/>
	<div>
		{include file="buttons/button.tpl" 
			but_text=__("save") 
			but_role="submit" 
			but_name="dispatch[auto_mail.manage]" 
		}
	</div>
	</form>
{/capture}

{capture name="extra_tools"}
	<style type="text/css">
		.am-preview-container {
			float:right;
		}
		#am-preview-dropdown {
			position:relative;
			z-index: 99;
		}
		#cron_command {
			text-align: center;
		}
	</style>
	<div id="cron_command">
		<p>
			<strong>{__("am_cron_command_line")}</strong>: php -q {$smarty.const.DIR_ROOT}/{$config.admin_index} --dispatch=auto_mail.run_queue --pw={$settings.Security.cron_password}
		</p>

	</div>
	<a href="{"auto_mail.run_queue"|fn_url}">{__("am_run_queue")}</a>
	&nbsp;|&nbsp;
	<a href="{"auto_mail.show_queue.`$smarty.const.AM_QUEUE_STATUS_PENDING`"|fn_url}">{__("am_show_pending_mail")}</a>
	&nbsp;|&nbsp;
	<a href="{"auto_mail.show_queue.`$smarty.const.AM_QUEUE_STATUS_SENT`&amp;limit=100"|fn_url}">{__("am_show_sent_mail")}</a>
	&nbsp;|&nbsp;
		<a href="{"auto_mail.show_queue.`$smarty.const.AM_QUEUE_STATUS_FAILED`&amp;limit=100"|fn_url}">{__("am_show_failed_mail")}</a>
	&nbsp;|&nbsp;
		<a href="{"auto_mail.show_unsubscribed"|fn_url}" target="_blank">{__("am_show_unsubscribed")}&nbsp;({$unsubscribed_count})</a>
	&nbsp;|&nbsp;
	<a href="{"auto_mail.log"|fn_url}">{__("am_logs")}</a>
	
	<div class="am-preview-container">
		<a href="#" onclick="$('#am-preview-dropdown').toggle();return false;">
			{__("am_preview_templates")}
		</a>
		<ul id="am-preview-dropdown" class="hidden">
			{foreach from=$preview_template_menu key="template" item="tmpl"}
				<li><a href="{"auto_mail.preview_template.{$template}"|fn_url}" target="_blank"
					onclick="$('#am-preview-dropdown').toggle();return true;"
					>{$tmpl}</a></li>
			{/foreach}
		</ul>
		<div class="clearfix"></div>
	</div>
{/capture}

{include file="common/mainbox.tpl" 
	title=__("am_manage_auto_mail") 
	content=$smarty.capture.mainbox 
	extra_tools=$smarty.capture.extra_tools
}
