{*****************************
* Copyright 2011, 2012, 2013 1st Source IT, LLC
* All rights reserved.
* Permission granted for use as
* long as this copyright notice, associated text and
* links remain in tact.
* Licensed for a single domain and a single instance of EZ-cart.
* Additional licenses can be purchased for additonal sites.
*
* http://www.ez-ms.com
* http://www.ez-om.com
* http://www.1sit.com*
*
* End copyright notification
*}


{capture name="mainbox"}
	{assign var="cols" value="8"}

	<table class="table{* sortable*}"  width="100%" cellpadding="5" cellspacing="0" border="0">
		<tr>
			<th class="center">{__("send_to")}</th>
			<th class="center">{__("am_event_name")}</th>
			<th class="center">{__("am_action_type")}</th>
			<th class="center">{__("object")}</th>
			<th class="center">{__("template")}</th>
			<th class="center">{__("am_send_date")}</th>
			<th class="center">{__("am_sent_date")}</th>
			<th class="center">{__("actions")}</th>
		</tr>
			
		{foreach from=$lines item="line" key="queue_id"}
			<tr>
				<td class="left">{$line.am_send_to}</td>
				<td class="left">{$line.am_event_name}</td>
				<td class="left">{$line.am_action_name}</td>
				<td class="center">{$line.object_id}</td>
				<td class="center">{$line.am_template}</td>
				<td class="center">{$line.send_date}</td>
				<td class="center">{$line.sent_date}</td>
				<td class="center">
					{* Show preview in all views but hid send/delete *}
					{if $queue_status == $smarty.const.AM_QUEUE_STATUS_PENDING}
					<a href="?dispatch=auto_mail.run_queue_item.{$queue_id}">{__("send")}</a>
					&nbsp;/&nbsp;
					<a href="?dispatch=auto_mail.delete_queue_item&amp;am_queue_id={$queue_id}">{__("delete")}</a>
					&nbsp;/&nbsp;
					{/if}
					<a href="?dispatch=auto_mail.preview_queued_item.{$queue_id}" target="_blank" >{__("preview")}</a>
				</td>
			</tr>
		{/foreach}
				
	</table>
{/capture}

{capture name="extra_tools"}
	<a href="{$index_script}?dispatch=auto_mail.manage">{__("am_back_to")} {__("am_manage_auto_mail")}</a>
	&nbsp;|&nbsp;
	{if $queue_status == $smarty.const.AM_QUEUE_STATUS_SENT }
		<a href="{$index_script}?dispatch=auto_mail.show_queue.{$smarty.const.AM_QUEUE_STATUS_PENDING}">{__("am_show_pending_mail")}</a>
		&nbsp;&nbsp;
		<a href="{$index_script}?dispatch=auto_mail.show_queue.{$smarty.const.AM_QUEUE_STATUS_FAILED}&amp;limit=100">{__("am_show_failed_mail")}</a>
	{elseif $queue_status == $smarty.const.AM_QUEUE_STATUS_PENDING}
		<a href="{$index_script}?dispatch=auto_mail.show_queue.{$smarty.const.AM_QUEUE_STATUS_SENT}&amp;limit=100">{__("am_show_sent_mail")}</a>
		&nbsp;&nbsp;
		<a href="{$index_script}?dispatch=auto_mail.show_queue.{$smarty.const.AM_QUEUE_STATUS_FAILED}&amp;limit=100">{__("am_show_failed_mail")}</a>
	{elseif $queue_status == $smarty.const.AM_QUEUE_STATUS_FAILED}
		<a href="{$index_script}?dispatch=auto_mail.show_queue.{$smarty.const.AM_QUEUE_STATUS_SENT}&amp;limit=100">{__("am_show_sent_mail")}</a>
		&nbsp;&nbsp;
		<a href="{$index_script}?dispatch=auto_mail.show_queue.{$smarty.const.AM_QUEUE_STATUS_PENDING}">{__("am_show_pending_mail")}</a>
	{/if}
{/capture}

{if $queue_status == $smarty.const.AM_QUEUE_STATUS_SENT }
	{assign var="title" value=__("am_show_sent_mail")}
{elseif $queue_status == $smarty.const.AM_QUEUE_STATUS_PENDING}
	{assign var="title" value=__("am_show_pending_mail")}
{elseif $queue_status == $smarty.const.AM_QUEUE_STATUS_FAILED }
	{assign var="title" value=__("am_show_failed_mail")}
{/if}

{include file="common/mainbox.tpl" 
	title=$title 
	content=$smarty.capture.mainbox 
	extra_tools=$smarty.capture.extra_tools
}
