<!-- auto_mail: views/auto_mail/views/order_review.tpl -->

{capture name="testimonial"}
	{if $show_testimonial == 'Y'}
		<div >
			{include file="common/subheader.tpl" title=__("am_site_testimonial")}
			<p>{__("am_site_testimonial_text") nofilter}</p>
			<div class="am-active">
				<input type="hidden" name="testimonial[active]" value="N" />
				<input id="testimonial_active" type="checkbox" name="testimonial[active]" value="Y" checked="checked" />
			</div>
			<div class="am-product_name">
				{__("am_site_testimonial")}
			</div>
			<div id="testimonial_rating" class="am-rating">
				<label for="rating_0">{__("am_rating")}</label>
				{** value = testimonial]0][rating] **}
				{include file="addons/auto_mail/common/star_rating.tpl" i_name="testimonial" object_id="0" default_rating=$default_rating|default:"4"}
			</div>
			<div class="clearfix"></div>
			
			<div id="testimonial_text_box" class="am-testimonial-text_box">
				<textarea id="ta_0" name="testimonial[message]" cols="80" ></textarea>
			</div>
			<div class="clearfix"></div>
		</div>
		<script type="text/javascript">
				$('#testimonial_active').click(function() {
console.log("testimonial active clicked, checked="+$('#testimonial_active').is(':checked') );
														if($('#testimonial_active').is(':checked')) {
															  $('#testimonial_rating').show();
															  $('#testimonial_text_box').show();
														} else {
															  $('#testimonial_rating').hide();
															  $('#testimonial_text_box').hide();
														}
														});
		</script>
	{/if}
{/capture}

{capture name="order_products"}
	<div class="am-products-group">
		{include file="common/subheader.tpl" title=__("am_product_reviews")}
		<p>{__("am_product_reviews_text") nofilter}</p>
		{foreach from=$products key="product_id" item="product" name="products"}
			<div class="am-product_group">
				<div class="am-active">
					<input type="hidden" name="products[{$product_id}][active]" value="N" />
					<input id="active_{$product_id}" type="checkbox" name="products[{$product_id}][active]" value="Y" checked="checked" />
					<input type="hidden" name="products[{$product_id}][product_code]" value="{$product.product_code}" />
				</div>
				<div class="am-product_name">
					{$product.product}
				</div>
				<div id="rating_{$product_id}" class="am-rating">
					<label for="rating_{$product_id}">{__("am_rating")}</label>
					{** value = products[{$product_id]}[rating]] **}
					{include file="addons/auto_mail/common/star_rating.tpl" i_name="products" object_id=$product_id default_rating=$default_rating|default:"4"}
				</div>
				<div class="clearfix"></div>
			
				<div id="image_{$product_id}" class="am-product-image">
					{include file="common/image.tpl"
						show_detailed_link=false
						images=$product.main_pair
						no_ids=true
						image_id="product_review_image"
						image_width=150
						image_height=150
						class="ty-subcategories-img"
					}
				</div>
				<div id="text_box_{$product_id}" class="am-product-text_box">
					<textarea id="ta_{$product_id}" name="products[{$product_id}][message]" cols="80" {if !$rating}class="hidden"{/if}></textarea>
				</div>
				<div class="clearfix"></div>
			</div>
			<script type="text/javascript">
				$('[id$={$product_id}]').click(function() {
													  $('#ta_{$product_id}').show();
													  });
				$('#active_{$product_id}').click(function() {
														if($('#active_{$product_id}').is(':checked')) {
															  $('#rating_{$product_id}').show();
															  $('#image_{$product_id}').show();
															  $('#text_box_{$product_id}').show();
														} else {
															  $('#rating_{$product_id}').hide();
															  $('#image_{$product_id}').hide();
															  $('#text_box_{$product_id}').hide();
														}
														});
			</script>
		{/foreach}
	</div>
{/capture}

<form method="post" action="{""|fn_url}" >
	<input type="hidden" name="r_key" value="{$r_key}" />
	{$smarty.capture.testimonial nofilter}
	{$smarty.capture.order_products nofilter}
	<div id="am-buttons" class="ty-center">
		{include file="buttons/button.tpl"
			but_text=__("am_submit_reviews")
			but_name="dispatch[auto_mail.order_reviews]"
			but_role="action"
			but_meta="ty-btn__primary"
		}
	</div>
</form>